
function WeekKeys.PlayerData()
    if UnitLevel("player") == 60 then
        local name, realm = UnitFullName("player") -- player name
      --  local realm = GetRealmName():gsub(" ","") -- player realm, without spaces
        local _, ilvl = GetAverageItemLevel() -- equipeed ilvl
        ilvl = math.floor(ilvl)
        local faction
        if UnitFactionGroup("player") == "Alliance" then
            faction = "A" -- A -> Alliance
        else
            faction = "H" -- H -> Horde
        end
        local _, _, classID = UnitClass("player")
        local record = C_MythicPlus.GetWeeklyChestRewardLevel()
        local recordtable = C_MythicPlus.GetRunHistory(false,true)
        table.sort(recordtable, function(a,b)
            return a.level > b.level
        end)
        
        if #recordtable >= 10 then
            record = recordtable[1].level .. "/" .. recordtable[4].level .. "/" .. recordtable[8].level
        elseif #recordtable >= 4 then
            record = recordtable[1].level .. "/" .. recordtable[4].level
        elseif #recordtable >= 1 then
            record = recordtable[1].level
        end

        local keyID = C_MythicPlus.GetOwnedKeystoneChallengeMapID()
        local keyLevel = C_MythicPlus.GetOwnedKeystoneLevel()
        local covenantID = C_Covenants.GetActiveCovenantID()
        if not C_MythicPlus.IsWeeklyRewardAvailable() then
            WeekKeys.DB.RemoveReward()
        end
        WeekKeys.DB.SaveVars2(WeekKeysDB.Characters,name,realm,classID,ilvl,record,keyID,keyLevel,faction,covenantID)
    end
end

-- 1300